# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, models


class CotisationChartTemplate(models.Model):
    _inherit = "account.chart.template"

    @api.model
    def generate_journals(self, acc_template_ref, company, journals_dict=None):
        journal_to_add = [
            {
                "name": "Cotisation",
                "type": "sale",
                "code": "COT",
                "favorite": False,
                "sequence": 6,
            }
        ]
        return super(CotisationChartTemplate, self).generate_journals(
            acc_template_ref=acc_template_ref,
            company=company,
            journals_dict=journal_to_add,
        )
